Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

We are trying to open a link which works only in firefox 3.0.10 and on a customer LAN. Please help with this.

  • 5 replies
  • 1 has this problem
  • 18 views
  • Last reply by jscher2000

more options

There's a link which if opened gives a security error like please enable tls 1.0, 1.1 and 1.2. On investigation, I believe it uses ssl 3.0 but when i enabled it in Internet Explorer and tried to open it didn't. Please respond. The link uses client network and not normal internet.

All Replies (5)

more options

SSL 3.0 is deprecated and not available since more than two years. Even IE11 disallows it. You should definitely fix it.

more options

Thanks for your replyMeskó Balázs said

SSL 3.0 is deprecated and not available since more than two years. Even IE11 disallows it. You should definitely fix it.

Thanks for your reply. May I request you to guide me how to transfer the security from SSL3 to TLS 1.2 since this is an enterprise application and the client cost can be there. Also, can you help me with the browser and version that supports SSL 3 and is still available? I would be thankful.

more options

Hi, in all current versions of Firefox 59.0.2 Release https://www.mozilla.org/firefox/all/ or in 52.7.3esr https://www.mozilla.org/en-US/firefox/organizations/all/ TLS 1.2 is enabled as default.

Please let us know if this solved your issue or if need further assistance.

more options

security.tls.version.min is set to 1 at default which disables SSL3. SSLv3 was disabled by default as of Firefox 34 and later. http://kb.mozillazine.org/Security.tls.version.*

https://blog.mozilla.org/security/2014/10/14/the-poodle-attack-and-the-end-of-ssl-3-0/

Also of note https://blog.mozilla.org/security/2015/09/11/deprecating-the-rc4-cipher/

Modified by James

more options

Is the site triggering a Firefox error page? If so, please click the Advanced button and copy/paste the more detailed error message there. This article describes the page I'm referring to: What do the security warning codes mean?